# Set minimum window index to one
set -g base-index 1
set-option -g base-index 1
set-window-option -g pane-base-index 1

# Prefix configuration
set-option -g prefix C-a
unbind-key C-b
# Send "Ctrl+a" to nested application on second press of prefix
bind-key C-a send-prefix

unbind-key %
unbind-key \"
bind-key v split-window -h
bind-key s split-window -v

# Control+Shift arrow to switch windows
bind-key -r p previous-window
bind-key -r n next-window
bind -n C-S-Left previous-window
bind -n C-S-Right next-window

# Simple shortcut for new window
bind-key C-T new-window

# Set XTERM keys(CTRL + Arrows and etc.)
set-window-option -g xterm-keys on
set -g mouse on
bind P paste-buffer
# Enable vi style keys in copy-mode
set -g mode-keys vi
bind-key -T copy-mode-vi v send-keys -X begin-selection
bind-key -T copy-mode-vi y send-keys -X copy-selection
bind-key -T copy-mode-vi r send-keys -X rectangle-toggle

run-shell "powerline-daemon -q -r"
source /usr/share/powerline/bindings/tmux/powerline.conf

#set -g default-terminal "screen-256color"
set -g default-terminal "tmux-256color"
set-option -sg escape-time 10
set-option -g focus-events on
set-option -sa terminal-overrides ',alacritty:RGB'
set-option -g history-limit 20000

bind-key R { source-file ~/.tmux.conf ; display-message "Config reloaded!" }
# Create new window with preconfigured 3 panes.
bind-key C { new-window; split-window -h; split-window -h; resize-pane -t 1 -x 25%; resize-pane -t 2 -x 50%; select-pane -t 2 }
bind-key V { split-window -h; split-window -h; resize-pane -t 1 -x 25%; resize-pane -t 2 -x 50%; select-pane -t 2 }



